Summary

After PHP upgrades sites created with Joomla 1.0.x can't display articles or Vcard.

It give errors like this:
Warning: Parameter 2 to frontpage() expected to be a reference, value given in \htdocs\xxxxxxxxx\includes\Cache \Lite\Function.php on line 100



There is an easy and simple fix solved by kjellhahlen - http://forum.joomla.org/memberlist.php?mode=viewprofile&u=382915

Most probable there will no 1.0.16 version update but users will find this patch useful and can keep their sites running!
Also useful for local old versions backup sites as you don't need to have different Xammp versions just to browse an old site once in a year!

Patch also available at http://forum.joomla.org/viewtopic.php?p=1991271#p1991271
Opened On:
6 Apr 2010, 1:36 by Paulo Izidoro
Status:
Open

Filed Under

  • Joomla! Libraries
  • PHP 5.2.x
  • User

Responses

Posted on 6 Apr 2010, 1:39 by Paulo Izidoro
The files to be changed are:
\includes\vcard.class.php
\includes\Cache\Lite\Function.php